print ("BetterWalls : BWData component")

local BWData = Class(function(self, inst)
	self.inst = inst
	self.mult = 1
	self.hp = 0
	self.done = false
end)

function BWData:OnSave()
	if self.inst.components.health and self.inst.components.health.currenthealth then self.hp = self.inst.components.health.currenthealth end
	return {mult = self.mult, hp = self.hp}
end

function BWData:OnLoad(data)
	if data then 
		if data.mult and (type(data.mult)=="number") then self.mult = data.mult end
		if data.hp and (type(data.hp)=="number") then self.hp = data.hp end
	end
	self.done = true
	self:Status()
end

function BWData:Status()
--	print("BWData : done = "..tostring(self.done)..", mult = "..tostring(self.mult)..", prefab = "..self.inst.prefab)
end

return BWData
